Open CASCADE Technology: Intf_Tool Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
Intf_Tool Class Reference

Provides services to create box for infinites lines in a given contexte. More...

`#include <Intf_Tool.hxx>`

## Public Member Functions
| Intf_Tool ()
void | Lin2dBox (const gp_Lin2d &theLin2d, const Bnd_Box2d &bounding, Bnd_Box2d &boxLin)
void | Hypr2dBox (const gp_Hypr2d &theHypr2d, const Bnd_Box2d &bounding, Bnd_Box2d &boxHypr)
void | Parab2dBox (const gp_Parab2d &theParab2d, const Bnd_Box2d &bounding, Bnd_Box2d &boxHypr)
void | LinBox (const gp_Lin &theLin, const Bnd_Box &bounding, Bnd_Box &boxLin)
void | HyprBox (const gp_Hypr &theHypr, const Bnd_Box &bounding, Bnd_Box &boxHypr)
void | ParabBox (const gp_Parab &theParab, const Bnd_Box &bounding, Bnd_Box &boxHypr)
Standard_Integer | NbSegments () const
Standard_Real | BeginParam (const Standard_Integer SegmentNum) const
Standard_Real | EndParam (const Standard_Integer SegmentNum) const

## Detailed Description

Provides services to create box for infinites lines in a given contexte.

## Constructor & Destructor Documentation

Intf_Tool::Intf_Tool | ( |  | ) |

## Member Function Documentation

Standard_Real Intf_Tool::BeginParam | ( | const Standard_Integer | SegmentNum | ) | const

Standard_Real Intf_Tool::EndParam | ( | const Standard_Integer | SegmentNum | ) | const

void Intf_Tool::Hypr2dBox | ( | const gp_Hypr2d & | theHypr2d,
|  | const Bnd_Box2d & | bounding,
|  | Bnd_Box2d & | boxHypr
| ) |  |

void Intf_Tool::HyprBox | ( | const gp_Hypr & | theHypr,
|  | const Bnd_Box & | bounding,
|  | Bnd_Box & | boxHypr
| ) |  |

void Intf_Tool::Lin2dBox | ( | const gp_Lin2d & | theLin2d,
|  | const Bnd_Box2d & | bounding,
|  | Bnd_Box2d & | boxLin
| ) |  |

void Intf_Tool::LinBox | ( | const gp_Lin & | theLin,
|  | const Bnd_Box & | bounding,
|  | Bnd_Box & | boxLin
| ) |  |

Standard_Integer Intf_Tool::NbSegments | ( |  | ) | const

void Intf_Tool::Parab2dBox | ( | const gp_Parab2d & | theParab2d,
|  | const Bnd_Box2d & | bounding,
|  | Bnd_Box2d & | boxHypr
| ) |  |

void Intf_Tool::ParabBox | ( | const gp_Parab & | theParab,
|  | const Bnd_Box & | bounding,
|  | Bnd_Box & | boxHypr
| ) |  |

The documentation for this class was generated from the following file:

- Intf_Tool.hxx